ChangeSet 1.1867.3.3, 2004/09/14 11:12:38-07:00, akpm@osdl.org

[PATCH] ksysfs warning fix

kernel/ksysfs.c: In function `hotplug_seqnum_show':
kernel/ksysfs.c:28: warning: long long unsigned int format, u64 arg (arg 3)

Signed-off-by: Andrew Morton <akpm@osdl.org>
Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 kernel/ksysfs.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/kernel/ksysfs.c b/kernel/ksysfs.c
--- a/kernel/ksysfs.c	2004-10-19 09:22:50 -07:00
+++ b/kernel/ksysfs.c	2004-10-19 09:22:50 -07:00
@@ -25,7 +25,7 @@
 #ifdef CONFIG_HOTPLUG
 static ssize_t hotplug_seqnum_show(struct subsystem *subsys, char *page)
 {
-	return sprintf(page, "%llu\n", hotplug_seqnum);
+	return sprintf(page, "%llu\n", (unsigned long long)hotplug_seqnum);
 }
 KERNEL_ATTR_RO(hotplug_seqnum);
 #endif
